This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 26744

Summary: Redesign of VCS filesystems registration
Product: obsolete Reporter: Jan Jancura <jjancura>
Component: vcscoreAssignee: Martin Entlicher <mentlicher>
Status: VERIFIED FIXED    
Severity: blocker    
Priority: P1    
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: TASK Exception Reporter:
Bug Depends on: 25661    
Bug Blocks: 26422, 27996    

Description Jan Jancura 2002-08-23 17:03:48 UTC
Redesign of VCS filesystems registration
Comment 1 Martin Entlicher 2002-09-09 14:20:48 UTC
- Create loaders for folder objects, that will handle VCS filesystem
  mount/unmount actions,
- Implement automatic filesystem recognition for all supported VCS
systems,
- Change the mounting process if needed by issue #25661.
Comment 2 Martin Entlicher 2002-11-08 14:54:47 UTC
Well, M_3.1 is today. The feature is almost working on my computer,
but is not ready for prime-time yet.
Moving to M_3.2 ...
Comment 3 Martin Entlicher 2002-11-15 13:29:46 UTC
M_3.2 is today. The feature is working on prj40_prototype branch
together with localfs module. Thanks to Richard we have VcsManager
dialog, that shows the automatically mounted filesystems and allow
their customization.
CVS command-line profile has the autorecognition process implemented.
PVCS and VSS profiles will have the autorecognition process
implemented later (till 4.0 feature freeze).

The infrastructure is ready and working, so I'm resolving this as
fixed.
Comment 4 Martin Entlicher 2003-07-24 09:30:41 UTC
I'm verifying that the VCS filesystem registration is redesigned in
projects build. CVS filesystems are auto-recognized and other VCS
filesystemscan be mounted through Vcs Manager.